libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes
MSN::Buddy Class Reference

`#include <buddy.h>`

List of all members.

## Classes
class | PhoneNumber
## Public Member Functions
| Buddy (Passport userName_, std::string friendlyName_="")
bool | operator== (const Buddy &other)
## Public Attributes
std::map< std::string, std::string > | properties
Passport | userName
std::string | friendlyName
std::list< Buddy::PhoneNumber > | phoneNumbers
std::list< Group * > | groups
unsigned int | lists

## Detailed Description

The Buddy class contains information about a member of a buddy list.

Each Buddy is made up of their passport address (userName), user-visible display name (friendlyName), a list of properties (properties) and zero or more groups on the buddy list that they belong to.

## Member Data Documentation

std::string MSN::Buddy::friendlyName

Their friendly name

std::list<Group *> MSN::Buddy::groups

A list of Group's that this buddy is a member of

unsigned int MSN::Buddy::lists

Lists which this contact belong. Pending, Forward, Block...

std::list<Buddy::PhoneNumber> MSN::Buddy::phoneNumbers

A list of phone numbers related to this buddy

std::map<std::string, std::string> MSN::Buddy::properties

all the properties received at login time

Passport MSN::Buddy::userName

Their passport address

The documentation for this class was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/buddy.h

All Classes Namespaces Functions Variables Enumerations Enumerator